#' Generate LimeSurvey authentification token
#'
#' @description In case there is no key set, run key_set("limesurvey.user", lime_user)
#'
#' @param lime_user LimeSurvey user name
#'
#' @return ...
#' @export
#' @examples
#' digi_lime_auth()
#'
digi_lime_auth <- function(lime_user) {
    safe_key_get <-
        safely(
            key_get # ,
            # otherwise = key_set("limesurvey.user", lime_user)
        )
    options(lime_api = "https://webszh.uk-halle.de/limesurvey/index.php/admin/remotecontrol")
    options(lime_username = lime_user)
    options(lime_password = safe_key_get("limesurvey.user", lime_user)$result)
    get_session_key()
}
