# lsfun - Helper functions to interact with LimeSurvey from within R

Installing the package
================

``` r
install.packages("remotes")
remotes::install_gitlab(repo = "imebi/limesurvey/lsfun" , host = "gitlab.informatik.uni-halle.de")

library(lsfun)
library(help=lsfun)
?digi_lime_get_part_chunks
```

Load additional packages
================

``` r
library(tidyverse)
library(keyring)
library(limer)
```



Using the package
================

Get session key
------------------
Generate session Key for your LimeSurvey username.
``` r
digi_lime_auth(lime_user = '[limeuser in here]')

```

Read large participant table in chunks
------------------

``` r
?digi_lime_get_part_chunks

digi_part_dat <-
  digi_lime_get_part_chunks(
    surv_id = 123456,
    max_tn <- 195000,
    chunk_size <- 30000,
    attributes =  c(
      "emailstatus",
      "validfrom",
      "validuntil",
      "invited",
      "reminded",
      "remindercount",
      "completed",
      "usesleft"
    )
  ) %>%
  rename(ZN = "token",
         part = "participant_info") %>%
  bind_cols(.$part) %>%
  select(-part) %>%
  distinct()

```